Package org.eclipse.emf.cdo.spi.server

## Interface InternalRepositorySynchronizer

- All Superinterfaces:
    `org.eclipse.net4j.util.container.IContainer<CDOSession>`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.event.INotifier`, `IRepositorySynchronizer`

      public interface InternalRepositorySynchronizer
      extends IRepositorySynchronizer, org.eclipse.net4j.util.lifecycle.ILifecycle

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.IRepositorySynchronizer

      `DEFAULT_MAX_RECOMMITS, DEFAULT_RECOMMIT_INTERVAL, DEFAULT_RETRY_INTERVAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InternalSynchronizableRepository` | `getLocalRepository()` |
    `InternalCDOSession` | `getRemoteSession()` |
    `void` | `setLocalRepository​(InternalSynchronizableRepository localRepository)` |
    `void` | `setRemoteSessionConfigurationFactory​(CDOSessionConfigurationFactory remoteSessionConfigurationFactory)` |

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `activate, deactivate, getLifecycleState, isActive`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IRepositorySynchronizer

      `getMaxRecommits, getRecommitInterval, getRemoteSessionConfigurationFactory, getRetryInterval, isRawReplication, setMaxRecommits, setRawReplication, setRecommitInterval, setRetryInterval`

- - ### Method Detail

    - #### getLocalRepository

          InternalSynchronizableRepository getLocalRepository()

      Specified by:
        `getLocalRepository` in interface `IRepositorySynchronizer`

    - #### setLocalRepository

          void setLocalRepository​(InternalSynchronizableRepository localRepository)

    - #### setRemoteSessionConfigurationFactory

          void setRemoteSessionConfigurationFactory​(CDOSessionConfigurationFactory remoteSessionConfigurationFactory)

    - #### getRemoteSession

          InternalCDOSession getRemoteSession()

      Specified by:
        `getRemoteSession` in interface `IRepositorySynchronizer`